# -*- coding: utf-8 -*-
#
#--------------------------------------------------------------------------
# views.py
#--------------------------------------------------------------------------
# auther:Liutiansi
# Email:liutiansi@gmail.com
#Blog:http://blog.liuts.com
# update:2010-10-12
#
#---------------------------------------------------------------------------
import string,re

"""
++++++++++++++++++++++++++++
=校验URL合法性
-CheckURLok(url字串符)
-True:合法
-False:非法
++++++++++++++++++++++++++++
"""
def CheckURLok(url):
    p = re.compile(r'^(http://)?[a-zA-Z0-9]+(.[a-zA-Z0-9]+)*(\w|/)+$')
    m = p.match(url)
    if m:
       return True
    else:
        return False


"""
++++++++++++++++++++++++++++
=获取URL域名
-GetURLdomain(url)
-返回URL域名,例如:www.tianya.cn
++++++++++++++++++++++++++++
"""
def GetURLdomain(url):
    xurl=""
    if url[:7]=="http://":
        xurl=url[7:]
    else:
        xurl=url
    return string.split(xurl,'/')[0]


"""
++++++++++++++++++++++++++++
=获取URL路径部分
-GetURLpath(url)
-返回URL路径,例如:/pub/content/1/364563.html
++++++++++++++++++++++++++++
"""
def GetURLdopath(url):
    xurl=""
    if url[:7]=="http://":
        xurl=url[8:]
    else:
        xurl=url
    return xurl[xurl.find('/'):]
    


"""
++++++++++++++++++++++++++++
=返回应用缓存主机清单
-GetURLHost(应用域名)
-返回主机IP列表
++++++++++++++++++++++++++++
"""
def GetURLHost(_URL):
    from django.db import connection
    #主机IP列表
    Hostip=[]
    
    cursor = connection.cursor()
    cursor.execute("select ResourceIP from purgeapp_resource,purgeapp_resourcegroup where purgeapp_resource.ResourceGroupID=purgeapp_resourcegroup.ID and  purgeapp_resourcegroup.ResourceGroupName='%s'"%(_URL))
    for row in cursor.fetchall():
        Hostip.append(row[0])
    return Hostip


"""
++++++++++++++++++++++++++++
=返回应用缓存主机类型，varnish/squid
-GetURLType(应用域名)
-返回主机类型
++++++++++++++++++++++++++++
"""
def GetURLType(_URL):
    from django.db import connection
    cursor = connection.cursor()
    cursor.execute("select ResourceGroupType from purgeapp_resourcegroup where  ResourceGroupName='%s'"%(_URL))
    return cursor.fetchone()


"""
++++++++++++++++++++++++++++
=获取应用缓存主机并执行Purge操作
-URLPurge(组域名,应用路径)
-返回执行结果
++++++++++++++++++++++++++++
"""
def URLPurge(_URLGroupsList,_URLGroupsNumberList,_URLGroupsNumberResult):
    from varnishadmin import VarnishAdmin
    from django.conf import settings
    
    Hostip=[]
    ResultBool="OK"
    ResultString=""
    ResultStringList=[]
    i=0
    for _domain in _URLGroupsList:
        if _domain==[]:
            break;
        
        Hostip=GetURLHost(_domain)
        Hosttype=GetURLType(_domain)
        if Hosttype[0]=="varnish":
                adminport=settings.VARNISHADMINPORT
        else:
                adminport=settings.SQUIDADMINPORT
        if len(Hostip)==0:
            #return str(_domain)+"主机不存在。"
            return "-004"
        
        for ip in Hostip:
            try:
                varnishobj=VarnishAdmin(adminport,ip)
                varnishobj.connect()
            except Exception,e:
                #return str(ip)+"主机连接异常。"+str(e)
                return "-005"
            
            j=0
            for _path in _URLGroupsNumberList[i]:
                if Hosttype[0]=="varnish":
                    ResultBool=varnishobj.purge("req.http.host ~ "+str(_domain)+"$ && req.url ~ ^"+str(_path))
                else:
                    ResultBool=varnishobj.purge("http://"+str(_domain)+""+str(_path))
                if  not ResultBool:
                    _URLGroupsNumberResult[i][j]="ERROR"
                j+=1
            ResultBool="OK"
            varnishobj.disconnect()
        
        #合并结果集
        j=0
        Resultdict={}
        for __path in _URLGroupsNumberList[i]:
            Resultdict["url"]=str(_domain)+str(__path)
            Resultdict["result"]=str(_URLGroupsNumberResult[i][j])
            ResultStringList.append(Resultdict)
            Resultdict={}
            j+=1
        i+=1
    return ResultStringList