# -*- coding: utf-8 -*-
#
#--------------------------------------------------------------------------
# models.py
#--------------------------------------------------------------------------
# auther:Liutiansi
# Email:liutiansi@gmail.com
#Blog:http://blog.liuts.com
# update:2010-10-12
#
#---------------------------------------------------------------------------

from django.db import models

"""
++++++数据库char类型类++++++
-调用方法BetterCharField(长度)
"""
class BetterCharField(models.Field):
    def __init__(self, max_length, *args, **kwargs):
        self.max_length_value = max_length
        super(BetterCharField, self).__init__(*args, **kwargs)

    def db_type(self, connection):
        return 'char(%s)' % self.max_length_value

"""
++++++资源组模块++++++
"""
class ResourceGroup(models.Model):
    ID = models.AutoField(primary_key=True,max_length=6)
    ResourceGroupName = BetterCharField(25)

"""
++++++资源模块++++++
"""    
class Resource(models.Model):
    ID = models.AutoField(primary_key=True,max_length=6)
    ResourceGroupID = models.SmallIntegerField()
    ResourceIP = models.IPAddressField()

"""
++++++应用池模块++++++
"""    
class AppPool(models.Model):
    ID = models.AutoField(primary_key=True,max_length=6)
    ResourceGroupID = models.SmallIntegerField(max_length=5)
    AppName = BetterCharField(25)